hive-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Gunther Hagleitner (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (HIVE-8374) schematool fails on Postgres versions < 9.2
Date Mon, 24 Nov 2014 03:19:13 GMT

    [ https://issues.apache.org/jira/browse/HIVE-8374?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14222608#comment-14222608
] 

Gunther Hagleitner commented on HIVE-8374:
------------------------------------------

Yes, I think this should be backported to 0.14.1. [~sershe] can you do the honors?

> schematool fails on Postgres versions < 9.2
> -------------------------------------------
>
>                 Key: HIVE-8374
>                 URL: https://issues.apache.org/jira/browse/HIVE-8374
>             Project: Hive
>          Issue Type: Bug
>          Components: Database/Schema
>            Reporter: Mohit Sabharwal
>            Assignee: Mohit Sabharwal
>             Fix For: 0.15.0
>
>         Attachments: HIVE-8374.1.patch, HIVE-8374.2.patch, HIVE-8374.3.patch, HIVE-8374.patch
>
>
> The upgrade script for HIVE-5700 creates an UDF with language 'plpgsql',
> which is available by default only for Postgres 9.2+.
> For older Postgres versions, the language must be explicitly created,
> otherwise schematool fails with the error:
> {code}
> Error: ERROR: language "plpgsql" does not exist
>   Hint: Use CREATE LANGUAGE to load the language into the database. (state=42704,code=0)
> {code}



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message